LINUX.ORG.RU

Firefox окончательно удаляет поддержку GTK+2

 , , ,


0

1

В официальном репозитории mozilla-central поддержка GTK+2 уже удалена, см. коммиты 0054a15e3c89 и 26fa4e61b9bc.

Релиз Firefox 59, в кодовой базе которого будет полностью отсутствовать возможность сборки с GTK+2, назначен на 23 марта этого года.

Источники: [1], [2]

Предлагаю обсудить столь знаменательное событие.

P.S. Летом 2016 года из кодовой базы Firefox (50-ая версия) тоже была окончательно удалёна поддержка Qt 5, которая к тому времени являлась достаточно сырой и которую пилили различные OpenSource-энтузиасты, например, из Jolla (внутренний браузер использует Qt и Gecko) и даже с нашего форума (см. r=romaxa, romaxa). Подробности можно посмотреть здесь, а обcуждение прочитать здесь.

★★★★★

Ответ на: комментарий от Shein

Ты не понял? Её именно что уже выкинули. Как поддержку по умолчанию, так и возможность собрать из исходников с поддержкой ALSA.

Vsevolod-linuxoid ★★★★★ ()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 1)
Ответ на: комментарий от Vsevolod-linuxoid

Вообще-то с "--enable-alsa" можно собрать даже Firefox 58.0b16. Никакого выпадения в осадок не будет. Но, и толку тоже не будет. Итоговый Firefox всё равно будет знать только PulseAudio.

saahriktu ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Производительность, темы на GTK 3 в целом смотрятся лучше,весь старый хлам из GTK 3 выкинули.Так же я не вижу новых приложений,DE использующих GTK 2,те же Mate,XFCE уже на GTK 3.

playX ★★ ()
Ответ на: комментарий от playX

Производительность? Ну зачем так толсто-то? gtk3 как тулкит ест заметно больше gtk2 — потому, что в нем реализована динамическая адаптация под dpi — его _реальное_ преимущество.

Vsevolod-linuxoid ★★★★★ ()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 1)

А жаль, что культи так и не смогли прикрутить нормально. Они же ещё при третьей версии начинали, потом переписывание с нуля на четвёртые культи, а фокс тоже на месте не стоит, и они постоянно вынуждены были догонять паровоз... Бедные... Сизифов труд... А я так ждал...

Deleted ()
Ответ на: комментарий от sudopacman

Мейнтейнеры как всегда что-то мудрят.

$ sudo mv libgtk-x11-2.0.so.0.2400.32 libgtk-x11-2.0.so.0.2400.3
$ gimp
gimp: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
$ firefox
<всё работает, в т. ч. и файловый диалог>
EXL ★★★★★ ()
Ответ на: комментарий от bread

Только мазила так умеет. Восхищаюсь этими говноделами.

Тут проблемы скорее всего у мейнтейнеров. Причём массово. Это как в Deb-based всякие KDE'шные программы вроде той же Krita, обмазывают библиотеками kde3+qt3 и qt4, от которых они не зависят, см. Krita на Kickstarter (комментарий)

EXL ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

жырнота же! и материал дезигн тошнотворного вида.

я вот так думаю, что я вовремя заморозила апдейты жирнолиса. он развивается в наихудшую сторону и становится всё страшнее и всё жирнее.

Iron_Bug ★★★★ ()
Ответ на: комментарий от Iron_Bug

материал дезигн тошнотворного вида

На вид плевать, но за малоконтрастные темы прибить хочется — глаза болят в буквальном смысле. Но сейчас в моде не удобство, а «модерн».

Vsevolod-linuxoid ★★★★★ ()